Newbie to Ruby Rails et al .. having problems running JetBrains RubyMine demo

Recently downloaded RubyMine .. and after much effort to get Ruby SDK (1.8.6), Rails (2.3.2), Gem and sqlite3 working, I finally tried to follow the RubyMine demo movie that creates a simple Ideas Notebook. Now I hit problems in entering the "validates_presence_of" in the idea.rb file. I do not get this option on the code completion drop-down. I only get "validate_find_options", "verification_timeout" and "version". Help please.

1 comment
Comment actions Permalink

Hello Barrie,

RubyMine 1.0 doesn't fully support rails 2.3 and shows warning about it during new project creation(see screenshot). We are going to release RubyMine 1.1 with Rails 2.3 support in the end of May. Also in the nearest future we plan to publish EAP build of RubyMine 1.1 which will include improvements related to Rails 2.3 support
Picture 10.png

Now I hit problems in entering the "validates_presence_of" in the idea.rb file. I do not get this option on the code completion drop-down. I only get "validate_find_options", "verification_timeout" and "version". Help please.

Such autocompletion works for rails < 2.3. Thus if you have installed rails 2.2.2 your can create new rails 2.2.2 application. Rails 2.2.2 you can install from RubyMine's GemManager - File | Settings | RubySDK and Gems | Install Gems.., choose rails gem and 2.2.2 version.

0

Please sign in to leave a comment.